CREATE TABLE cn_ruleset_event_details_all (
    CN_RULESET_EVENT_DETAIL_ID    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ORG_ID                        NUMBER(18, 0)     NOT NULL,
    RULE_EVENT_DETAIL_ID          NUMBER(18, 0) ,
    SRP_IMPORT_RULE_SET_ID        NUMBER(18, 0) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    EVENT_DATE                    DATE          ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    CN_RULESET_EVENT_DETAIL_ID    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ORG_ID                        NUMBER(18, 0)     NOT NULL,
    RULE_EVENT_DETAIL_ID          NUMBER(18, 0) ,
    SRP_IMPORT_RULE_SET_ID        NUMBER(18, 0) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    EVENT_DATE                    DATE          ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    CONSTRAINT pk_cn_ruleset_event_details_all PRIMARY KEY (CN_RULESET_EVENT_DETAIL_ID, CN_RULESET_EVENT_DETAIL_ID)
);
